@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class FragmentEntryLink {
   fragmentEntryLinkId: bigint(20)
   ctCollectionId: bigint(20)
   --
   originalFragmentEntryLinkId: bigint(20) <FK>
   fragmentEntryId: bigint(20) <FK>
   plid: bigint(20) <FK>
   segmentsExperienceId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   css: longtext
   html: longtext
   js: longtext
   configuration: longtext
   deleted: tinyint(4)
   editableValues: longtext
   namespace: varchar(75)
   position: int(11)
   rendererKey: varchar(200)
   type_: int(11)
   lastPropagationDate: datetime(6)
   lastPublishDate: datetime(6)
}
class Layout {
   plid: bigint(20)
   ctCollectionId: bigint(20)
   --
   layoutId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   parentPlid: bigint(20)
   privateLayout: tinyint(4)
   parentLayoutId: bigint(20)
   name: longtext
   title: longtext
   description: longtext
   keywords: longtext
   robots: longtext
   type_: varchar(75)
   typeSettings: longtext
   hidden_: tinyint(4)
   system_: tinyint(4)
   friendlyURL: varchar(255)
   iconImageId: bigint(20)
   themeId: varchar(75)
   colorSchemeId: varchar(75)
   styleBookEntryId: bigint(20)
   css: longtext
   priority: int(11)
   faviconFileEntryId: bigint(20)
   masterLayoutPlid: bigint(20)
   layoutPrototypeUuid: varchar(75)
   layoutPrototypeLinkEnabled: tinyint(4)
   sourcePrototypeLayoutUuid: varchar(75)
   publishDate: datetime(6)
   lastPublishDate: datetime(6)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}
class LayoutPageTemplateStructure {
   layoutPageTemplateStructureId: bigint(20)
   ctCollectionId: bigint(20)
   --
   plid: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
}
class LayoutPageTemplateStructureRel {
   lPageTemplateStructureRelId: bigint(20)
   ctCollectionId: bigint(20)
   --
   layoutPageTemplateStructureId: bigint(20) <FK>
   segmentsExperienceId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   data_: longtext
   lastPublishDate: datetime(6)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}

LayoutPageTemplateStructure }o--|| Layout:PlId
LayoutPageTemplateStructureRel }o--|| Layout:PlId
FragmentEntryLink }o--|| Layout:PlId
LayoutPageTemplateStructureRel }o--|| FragmentEntryLink:Data_ To FragmentEntryLinkId

@enduml
